manifestVersion: 1
id: ntfy
name: ntfy
tagline: Отправляйте уведомления на свой телефон или рабочий стол с помощью скриптов с любого компьютера и/или с помощью REST API.
category: automation
version: "2.22.0"
port: 13119
description: >-
  ntfy (произносится как уведомление) — это простая служба уведомлений pub-sub на основе HTTP. Он позволяет отправлять уведомления на
  ваш телефон или рабочий стол с помощью сценариев с любого компьютера и/или с помощью REST API.
  
  
  ℹ️ Уведомления iOS
  
  Ограничения Apple требуют наличия общедоступного сервера для мгновенных уведомлений на iOS. Мы используем https://ntfy.sh для опроса
  запросы по умолчанию. При этом ваши уведомления не отправляются через эту службу, а вместо этого только предлагает вашему устройству iOS
  загрузите уведомление из вашего локального экземпляра ntfy. Опытные пользователи могут при желании удалить переменную среды «NTFY_UPSTREAM_BASE_URL» из файла создания Docker; однако это отключит мгновенные уведомления на устройствах iOS.
  
  
  🔔 Отправляйте push-уведомления из вашего приложения или скрипта.
  
  Публикация сообщений может осуществляться через PUT или POST. Темы создаются «на лету» путем подписки или публикации на них.
  Если вы используете ntfy без регистрации, тема по сути представляет собой пароль, поэтому выберите что-то, что нелегко угадать.
  
  
  📱 Получайте уведомления на свой телефон
  
  Подпишитесь на тему и получайте уведомления с различными приоритетами, вложениями, кнопками действий, тегами и смайликами.
  и даже для автоматизации.
  
  
  💻 Получайте уведомления на свой компьютер
  
  Вы также можете использовать веб-приложение, чтобы подписаться на темы. Если вы это сделаете, уведомления будут отображаться как уведомления на рабочем столе.
  Просто введите название темы и нажмите кнопку «Подписаться». Браузер будет поддерживать соединение открытым и прослушивать
  входящие уведомления.
  
  
  ⚙️ Интеграция с вашими любимыми инструментами
  
  Публикация сообщений — это всего лишь HTTP-запрос, поэтому практически все на свете может интегрироваться с ntfy. Сотни
  интеграций, проектов или скриптов уже поддерживают ntfy.
developer: ntfy LLC
website: https://ntfy.sh/
submitter: Sharknoon
submission: https://github.com/getumbrel/dfwebos-apps/pull/<number>
repo: https://github.com/binwiederhier/ntfy
support: https://github.com/binwiederhier/ntfy/issues
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
releaseNotes: >-
  Исправления ошибок и улучшения безопасности:
    - Исправлена уязвимость безопасности в конечной точке веб-push для предотвращения потенциальной подделки запросов на стороне сервера.
    - Исправлена проблема, из-за которой в веб-приложении нельзя было установить бессрочный срок действия токенов доступа.
    - Исправлен сбой веб-приложения на странице учетной записи для токенов без времени последнего доступа.
  
  
  Полные примечания к выпуску можно найти по адресу https://github.com/binwiederhier/ntfy/releases.
dependencies: []
path: ""
defaultUsername: dfwebos
deterministicPassword: true
